[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.GetEnumerator

Gets a TToolBarEnumerator enumerator for the class instance.

## Declaration

Source position: comctrls.pp line 2362

`public function TToolBar.GetEnumerator: TToolBarEnumerator;`

## Function result

Tool bar enumerator created in the method.

## Description

Creates a new TToolBarEnumerator instance using the current control as the owner.

## See also

TToolBarEnumerator |  | Implements an enumerator for the buttons defined on a tool bar.